mbed TLS v2.16.0: version.h File Reference

mbed TLS v2.16.0

Macros | Functions
version.h File Reference

Run-time version information. More...

`#include "config.h"`
Include dependency graph for version.h:

Go to the source code of this file.

## Macros
#define | MBEDTLS_VERSION_MAJOR 2
#define | MBEDTLS_VERSION_MINOR 16
#define | MBEDTLS_VERSION_PATCH 0
#define | MBEDTLS_VERSION_NUMBER 0x02100000
#define | MBEDTLS_VERSION_STRING "2.16.0"
#define | MBEDTLS_VERSION_STRING_FULL "mbed TLS 2.16.0"

## Functions
unsigned int | mbedtls_version_get_number (void)
void | mbedtls_version_get_string (char *string)
void | mbedtls_version_get_string_full (char *string)
int | mbedtls_version_check_feature (const char *feature)
| Check if support for a feature was compiled into this mbed TLS binary. This allows you to see at runtime if the library was for instance compiled with or without Multi-threading support. More...

## Detailed Description

Run-time version information.

Definition in file version.h.

## Macro Definition Documentation

## ◆ MBEDTLS_VERSION_MAJOR

#define MBEDTLS_VERSION_MAJOR 2

The version number x.y.z is split into three parts. Major, Minor, Patchlevel

Definition at line 41 of file version.h.

## ◆ MBEDTLS_VERSION_MINOR

#define MBEDTLS_VERSION_MINOR 16

Definition at line 42 of file version.h.

## ◆ MBEDTLS_VERSION_NUMBER

#define MBEDTLS_VERSION_NUMBER 0x02100000

The single version number has the following structure: MMNNPP00 Major version | Minor version | Patch version

Definition at line 50 of file version.h.

## ◆ MBEDTLS_VERSION_PATCH

#define MBEDTLS_VERSION_PATCH 0

Definition at line 43 of file version.h.

## ◆ MBEDTLS_VERSION_STRING

#define MBEDTLS_VERSION_STRING "2.16.0"

Definition at line 51 of file version.h.

## ◆ MBEDTLS_VERSION_STRING_FULL

#define MBEDTLS_VERSION_STRING_FULL "mbed TLS 2.16.0"

Definition at line 52 of file version.h.

## Function Documentation

## ◆ mbedtls_version_check_feature()

int mbedtls_version_check_feature | ( | const char * | feature | ) |

Check if support for a feature was compiled into this mbed TLS binary. This allows you to see at runtime if the library was for instance compiled with or without Multi-threading support.

Note
  only checks against defines in the sections "System support", "mbed TLS modules" and "mbed TLS feature support" in config.h

Parameters

  feature | The string for the define to check (e.g. "MBEDTLS_AES_C")

Returns
  0 if the feature is present, -1 if the feature is not present and -2 if support for feature checking as a whole was not compiled in.

## ◆ mbedtls_version_get_number()

unsigned int mbedtls_version_get_number | ( | void |  | ) |

Get the version number.

Returns
  The constructed version number in the format MMNNPP00 (Major, Minor, Patch).

## ◆ mbedtls_version_get_string()

void mbedtls_version_get_string | ( | char * | string | ) |

Get the version string ("x.y.z").

Parameters

  string | The string that will receive the value. (Should be at least 9 bytes in size)

## ◆ mbedtls_version_get_string_full()

void mbedtls_version_get_string_full | ( | char * | string | ) |

Get the full version string ("mbed TLS x.y.z").

Parameters

  string | The string that will receive the value. The mbed TLS version string will use 18 bytes AT MOST including a terminating null byte. (So the buffer should be at least 18 bytes to receive this version string).